Page MenuHomePhabricator

Generate template parameter alignments for the selected small wikis II
Closed, ResolvedPublic

Description

Similar to T227183, generate template parameter alignment for following language pairs (Part of CX-BOOST - Compatible (meet the criteria):

Run: 1

  • en->af
  • en->bs
  • en->gu
  • en->is
  • en->kn
  • en->lv
  • en->mk
  • en->mr
  • en->ne
  • en->pa
  • en->sw
  • en->te

Run 2:

  • en->gl

Run 3:

Outcome

Content Translation's automatic template parameter mapping across languages is improved for multiple small Wikipedias.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 27 2020, 8:10 AM
KartikMistry triaged this task as Medium priority.

Being delay due to errors I'm getting with notebook. Working on it.

KartikMistry updated the task description. (Show Details)Apr 16 2020, 5:37 AM
KartikMistry updated the task description. (Show Details)Apr 29 2020, 4:44 AM

I have generated json files for few pairs and testing them with common templates.

KartikMistry updated the task description. (Show Details)May 7 2020, 7:46 AM

Documentation is done.

KartikMistry updated the task description. (Show Details)May 14 2020, 8:16 AM

Some blockers:

  • Wikidata connection is timing out, will keep trying this, as it is important for last step (getting Template prefixes)
  • en+es vectors model can't be load together, probably memory issue. So, keeping (es, gl) step once first run is complete.
KartikMistry updated the task description. (Show Details)May 19 2020, 6:27 AM
KartikMistry added a comment.EditedMay 19 2020, 11:42 AM

All pairs are generated in Run 1 and 3 are available for review at: https://github.com/kartikm/templatesAlignment/commit/509c979a28ad971face35251db33d198fd627df5

Working on database update now.

KartikMistry added a comment.EditedMay 19 2020, 12:47 PM

Number of alignments from this run

  • en->af: 47
  • en->bs: 147
  • en->gu: 6
  • en->is: 31
  • en->kn: 2
  • en->lv: 110
  • en->mk: 27
  • en->mr: 50
  • en->ne: 1
  • en->pa: 1
  • en->sw: 9
  • en->te: 3
  • en->gl: 177
  • es->gl: 110

Testing

Example templates:

  • en->gl:
    • Template:Infobox political party
    • Template:Cite book
  • es->gl:
    • Plantilla:Cita web
    • Plantilla:Ficha de composición musical

Change 597270 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[mediawiki/services/cxserver@master] Update templatemapping database

https://gerrit.wikimedia.org/r/597270

KartikMistry updated the task description. (Show Details)May 20 2020, 5:25 AM
KartikMistry updated the task description. (Show Details)May 21 2020, 6:26 AM

Change 597270 merged by jenkins-bot:
[mediawiki/services/cxserver@master] Update templatemapping database

https://gerrit.wikimedia.org/r/597270

Change 597999 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/deployment-charts@master] Update cxserver to 2020-05-22-083137-production

https://gerrit.wikimedia.org/r/597999

Change 597999 merged by jenkins-bot:
[operations/deployment-charts@master] Update cxserver to 2020-05-22-083137-production

https://gerrit.wikimedia.org/r/597999

Mentioned in SAL (#wikimedia-operations) [2020-05-25T04:11:21Z] <kart_> Updated cxserver to 2020-05-22-083137-production (T246317, T252871)

Nikerabbit updated the task description. (Show Details)May 28 2020, 11:34 AM
Nikerabbit updated the task description. (Show Details)
santhosh closed this task as Resolved.Jun 4 2020, 1:07 PM